curl --request POST \
--url https://app.lobbystack.com/api/v1/appointments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_phone": "<string>",
"contact_name": "<string>",
"staff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sms_consent": true
}
'import requests
url = "https://app.lobbystack.com/api/v1/appointments"
payload = {
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"starts_at": "2023-11-07T05:31:56Z",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_phone": "<string>",
"contact_name": "<string>",
"staff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sms_consent": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
service_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
starts_at: '2023-11-07T05:31:56Z',
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact_phone: '<string>',
contact_name: '<string>',
staff_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sms_consent: true
})
};
fetch('https://app.lobbystack.com/api/v1/appointments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "confirmed",
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"staff_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"staff_name": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_name": "<string>",
"contact_phone": "<string>",
"source": "<string>",
"calendar_sync_status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "invalid_request",
"message": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Book an appointment
Books only when the business’s booking_mode is instant. Returns 409 booking_requires_confirmation in request mode and 409 booking_disabled when booking is off.
Authorizations
An API key from Settings > API keys. Scopes: business:read, business:write, calls:read, contacts:read, contacts:write, appointments:read, appointments:write, messages:read, knowledge:write, webhooks:manage.
Headers
A unique value, up to 255 characters, that makes retries of this request safe for 24 hours.
255Body
Stable identifier (UUID).
Start time. Use a starts_at value from GET /availability.
An existing contact with a phone number. Provide contact_id or contact_phone.
Phone number in E.164 format.
^\+[1-9]\d{6,14}$1 - 200Book with this active staff member. Without it, LobbyStack picks one who is free.
True only if the customer agreed to receive confirmation and reminder texts.
Response
Created
Show child attributes
Show child attributes